from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.text import XTextRange

@runtime_checkable
class XTextCursor(XTextRange, Protocol):
    def collapseToStart(self) -> None: ...
    def collapseToEnd(self) -> None: ...
    def isCollapsed(self) -> bool: ...
    def goLeft(self, nCount: int, bExpand: bool) -> bool: ...
    def goRight(self, nCount: int, bExpand: bool) -> bool: ...
    def gotoStart(self, bExpand: bool) -> None: ...
    def gotoEnd(self, bExpand: bool) -> None: ...
    def gotoRange(self, xRange: XTextRange, bExpand: bool) -> None: ...
